Bug 167391 - Avoid incompatibility with upgraded version of BZ or Jira
Avoid incompatibility with upgraded version of BZ or Jira
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Issuetracking Framework
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Tomas Stupka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 20:28 UTC by Jaromir Uhrik
Modified: 2009-11-11 08:13 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-06-19 20:28:57 UTC
When the Bugzilla or Jira is upgraded at the kenai server then released version of NetBeans IDE might get into troubles
because the connector classes might not be compatible with new version. We need to improve behavior of NetBeans in this
area in the following way:
-NetBeans bugtracking modules should:
   -carry the version of Jira, BZ
   -check the version of Jira, BZ system at the server whenever possible
   -if the checked version is > carried version then check whether the update center provides new bugtracking modules
   -if updates of bugtracking modules are available then offer their update (show dialog, maybe force automatic update?)
-Updates of bugtracking modules should be provided at update centers when there are troubles with connections
Comment 1 Tomas Stupka 2009-09-09 10:34:47 UTC
fixed

changeset:   1a83b8eb428b
changeset:   4621fcfd6d89
changeset:   04d54e8e812e

Comment 2 Jaromir Uhrik 2009-11-11 08:13:57 UTC
Haven't seen this issue for ages => Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo